{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{warehouse.name|trans}} {{'product list'}}</div>
          
          <div class="panel-options">
             
          </div>
      </div>
        <div class="panel-body">
            <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>{{'Title'|trans}}</th>
                <th>{{'Qty in warehouse'|trans}}</th>
                <th>{{'Buy price'|trans}}</th>
                <th>{{'Sell price'|trans}}</th>
                <th>{{'Added at'|trans}}</th>
                <th>{{'Updated at'|trans}}</th>
                <th>{{'View'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for wproduct in wproducts %} 
              <tr>
                <td>
                  {{wproduct.product.id}}
                </td>
                <td>
                  {{wproduct.product.title}}
                </td>

                <td>
                    {{wproduct.stock}}
                </td>

                <td>
                  {{wproduct.product.getFormattedBuyPrice(default_currency_symbol)|raw}}
              </td>

              <td>
                  {{wproduct.product.getFormattedSellPrice(default_currency_symbol)|raw}}
              </td>


            
                <td>
                  {{wproduct.getCreatedAt()|date('d.m.Y H:i')}}
                </td>
                <td>
                    {{wproduct.getUpdatedAt()|date('d.m.Y H:i')}}
                 </td>
                <td>
                    <a target="_blank" href="{{path('products_edit',{
                        id:wproduct.product.id
                    })}}">
                        <i class="fa fa-eye"></i>
                    </a>
                    
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(wproducts)}}
        </div>
    </div>
</div>
{% endblock %}

